.reddit1 {
    padding: 30px;
    font-family: 'Source Sans Pro', sans-serif;
    margin: 10px 0;
}

.reddit1 .header {
    grid-area: header;
    display: flex;
    align-items: center;
    font-size: 1.25em;
    gap: 15px;
}

.reddit1 .header input {
    flex: 1;
    font-size: 1em;
    min-width: 0;
}

.reddit1 .logo {
    font-weight: bolder;
}

.reddit1 .posts {
    margin: 20px 0;
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 10px 20px;
    margin-left: 180px;
}


.reddit1 .posts>* {
    grid-column-start: 2;
}

.reddit1 .voting {
    grid-column-start: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.reddit1 .arrow {
    cursor: pointer;
    width: 20px;
    height: 20px;
}

.reddit1 .postBody>* {
    margin: 10px 0;
}

.reddit1 .postDate {
    color: grey;
    font-size: 0.75em;
}

.reddit1 .postTitle {
    font-weight: bolder;
    text-transform: uppercase;
}

.reddit1 .date {
    font-style: italic;
}

.reddit1 .link {
    text-decoration: underline;
    cursor: pointer;
}

.reddit1 .highlightBold {
    font-weight: bolder;
}

.reddit1 .dateEdited {
    color: grey;
    font-style: italic;
    font-size: 0.75em;
}

.reddit1 .visited {
    color: blueviolet;
    cursor: pointer;
}

.reddit1 .commentsSort {
    margin-top: 10px;
    text-transform: uppercase;
    cursor: pointer;
    color: grey;
    font-size: 0.75em;
}

.reddit1 .commentRoot1 {
    margin: 20px 0;
}

.reddit1 .commentRoot2 {
    margin: 20px 0;
    margin-left: 20px;
}

.reddit1 .commentRoot3 {
    margin: 20px 0;
    margin-left: 40px;
}

.reddit1 .commentRoot4 {
    margin: 20px 0;
    margin-left: 60px;
}

.reddit1 .commentRoot5 {
    margin: 20px 0;
    margin-left: 80px;
}

.reddit1 .username {
    font-weight: 600;
}

.reddit1 .username:hover {
    cursor: pointer;
}

.reddit1 .commentLinks span {
    color: grey;
    margin: 0 5px;
    cursor: pointer;
}

.reddit1 .commentRemoved{
    color: grey;
}

.reddit1 .subredditLink{
    color: rgb(88, 213, 255);
    cursor: pointer;
}

@media screen and (max-width: 480px) {
    .reddit1 .header {
        flex-direction: column;
        align-items: stretch;
    }

    .reddit1 .posts {
        margin-left: 0;
    }

    .reddit1 .link {
        overflow-wrap: anywhere;
    }
}
